Rename Group

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API helps in renaming a group.

Note:
Only the team member, who created the group, can update the name of the group.
Endpoints

OAuth Scope

WorkDrive.groups.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/groups/{group_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"name":"Managers - Engg"},"type":"groups"}}'

Path Parameters

group_idstring(Required)

The unique ID of the group

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
namestring(Required)

The new name of the group.

typestring(Required)

The JSON:API resource type. Always "groups".

Allowed Values :
Show Values
groupsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "name": "Managers - Engg"
      },
      "type": "groups"
    }
  }
                
Show full

Response Example

A001

R002

R002

F000

200
200
422
500
Copied!
  {
    "data": {
      "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
      "type": "groups",
      "attributes": {
        "owner": "747937818",
        "created_time": "Apr 13, 12:15 AM",
        "capabilities": {
          "can_read": true,
          "can_delete": true,
          "can_edit": true,
          "can_trash": true,
          "can_rename": true,
          "can_restore": true,
          "can_add_members": true
        },
        "description": "",
        "type": 1,
        "created_by": "Zylker Creation",
        "modified_time": "Apr 13, 12:23 AM",
        "avatar_url": "https://js.zohostatic.com/personal/stable/jsapps/ui-lab/dist/assets/dev/svg-icons/common/groups_logo-1b99e1d06fa5e3bb404e335e6ce2f43a.svg",
        "parent_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
        "name": "Managers - Engg",
        "modified_by": "Zylker Creation",
        "members_count": 1,
        "status": 1
      },
      "relationships": {
        "groupmembers": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/groups/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021/relationships/groupmembers",
            "related": "https://www.zohoapis.com/workdrive/groups/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021/groupmembers"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/groups/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Invalid action type passed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R002",
        "title": "Folder with same name exists in the workspace. Please use a different name"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full